# -*- coding: utf-8 -*-
from flask import current_app
from constants import AMC_CONFIG_PATH
try:
    import ConfigParser as cp
except ImportError:
    import configparser as cp


def get_update_interval():

    try:
        config = cp.RawConfigParser()
        config.read(AMC_CONFIG_PATH)
        return config.getint('AMC', 'update_interval')
    except Exception:
        return dict(update_interval="failure")


def set_update_interval(update_interval):

    try:
        config = cp.RawConfigParser()
        config.add_section('AMC')
        config.set('AMC', 'update_interval', update_interval)
        with open(AMC_CONFIG_PATH, 'wb') as configfile:
            config.write(configfile)
        current_app.config["UPDATE_INTERVAL"] = int(update_interval)
        return dict(status="success")
    except Exception:
        return dict(status="failure")
